# Applications Menu
#
# Created:	 08-Sep-87
# Revision Date: 19-Nov-87
#
# Created By:	 Sandy Marshall
# Modified By:	 Sandy Marshall

# Edit DEFAULT as needed:
DEFAULT="q"

# Edit TITLE as needed:
TITLE="			  Applications Menu"

if [ "`echo -n`" = "-n" ]
then
	NLF1=""
	NLF2="\c"
else
	NLF1="-n"
	NLF2=""
fi

while true
do

t=`pwd`
s=`date '+%a %h %d, 19%y'`
clear=`tput clear`
echo $clear

# SHOW ==================================================

cat << TBLOCK
$TITLE

TBLOCK
echo "Present Directory: $t		Date: $s \n"
cat << SHOWEND
			a. R Office+
			b. DataFlex
			c. Accell
			d. Q Calc

			q. Return to Main Menu

SHOWEND
#
# Add additional lines before 'SHOWEND' and
# add corresponding entries in 'SELECT' below:
# <tab><letter(s)><tab><description"	# format for additional lines
#
# Use blank lines for visual grouping.
#

# ENTER ==================================================

echo $NLF1 "

			       Select [$DEFAULT] :  $NLF2"
read SELECT

if [ -z "$SELECT" ]
then
	SELECT=$DEFAULT
fi

DEFAULT=$SELECT
RT="0"

echo $clear

# SELECT ==================================================

case $SELECT in
#
#	If you wish to install an application into this menu:
#		1. Comment out the not install message using a cross hatch
#		2. Add the appropriate shell commands, such as environment
#		   variables, pathnames and the name of the command.
#
	a)	echo "Application not installed in menu\n\n"
		echo "To install application into the menu edit /usr/bin/app.sh"
		EXERR=0
		RT=1						;;

#	a)	ro+
#		EXERR=$?					;;
	
	b)	echo "Application not installed\n\n"
		echo "To install application edit /usr/bin/app.sh"
		EXERR=0
		RT=1						;;

	c)	echo "Application not installed\n\n"
		echo "To install application edit /usr/bin/app.sh"
		EXERR=0
		RT=1						;;

	d)	echo "Application not installed\n\n"
		echo "To install application edit /usr/bin/app.sh"
		EXERR=0
		RT=1						;;

	q)	exit $EXERR					;;


esac

if [ "$EXERR" != "0" ]
then
	echo $NLF1 " Exit error: $EXERR	$NLF2	"
	echo $NLF1 "  Press <RETURN> to continue:  $NLF2"
	read OK
else
	if [ "$RT" = "1" ]
	then
		echo $NLF1 " \n Press <RETURN> to continue:  $NLF2"
		read OK
	fi
fi

done
